## freeradius 3.0.17+dfsg

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: bab88499db58253d148599ec5e8e872d30ba1cd1 $
#

#
#  The default rule is "all".
#
all:

#
#  Catch people who try to use BSD make
#
ifeq "0" "1"
.error GNU Make is required to build FreeRADIUS
endif

#
#  We require Make.inc, UNLESS the target is "make deb"
#
#  Since "make deb" re-runs configure... there's no point in
#  requiring the developer to run configure *before* making
#  the debian packages.
#
ifneq "$(MAKECMDGOALS)" "deb"
$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

include Make.inc
endif

MFLAGS += --no-print-directory

# The version of GNU Make is too old, don't use it (.FEATURES variable was
# wad added in 3.81)
ifndef .FEATURES
$(error The build system requires GNU Make 3.81 or later.)
endif

export DESTDIR := $(R)

# And over-ride all of the other magic.
ifneq "$(MAKECMDGOALS)" "deb"
include scripts/boiler.mk
endif

#
#  To work around OpenSSL issues with travis.
#
.PHONY:
raddb/test.conf:
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo '$$INCLUDE radiusd.conf' >> $@

#
#  Run "radiusd -C", looking for errors.
#
# Only redirect STDOUT, which should contain details of why the test failed.
# Don't molest STDERR as this may be used to receive output from a debugger.
$(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
	@$(MAKE) -C raddb/certs
	@printf "radiusd -C... "
	@if ! FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
		rm -f raddb/test.conf; \
		cat $(BUILD_DIR)/tests/radiusd.config.log; \
		echo "fail"; \
		exit 1; \
	fi
	@rm -f raddb/test.conf
	@echo "ok"
	@touch $@

test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.auth tests.modules $(BUILD_DIR)/tests/radiusd-c | build.raddb
	@$(MAKE) -C src/tests tests

#  Tests specifically for Travis.  We do a LOT more than just
#  the above tests
ifneq "$(findstring travis,${prefix})" ""
travis-test: raddb/test.conf test
	@FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -xxxv -n test
	@rm -f raddb/test.conf
	@$(MAKE) install
	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
	@${sbindir}/radiusd -XC
endif

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)

DICTIONARIES := $(wildcard share/dictionary*)
install.share: $(addprefix $(R)$(dictdir)/,$(notdir $(DICTIONARIES)))

$(R)$(dictdir)/%: share/%
	@echo INSTALL $(notdir $<)
	@$(INSTALL) -m 644 $< $@

MANFILES := $(wildcard man/man*/*.?)
install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))

$(R)$(mandir)/%: man/%
	@echo INSTALL $(notdir $<)
	@sed -e "s,/etc/raddb,$(raddbdir),g" \
		-e "s,/usr/local/share,$(datarootdir),g" \
		$< > $<.subst
	@$(INSTALL) -m 644 $<.subst $@
	@rm $<.subst

#
#  Don't install rlm_test
#
ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))

install: install.share install.man
	@$(INSTALL) -d -m 700	$(R)$(logdir)
	@$(INSTALL) -d -m 700	$(R)$(radacctdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

distclean: clean
	@-find src/modules -regex .\*/config[.][^.]*\$$ -delete
	@-find src/modules -name autom4te.cache -exec rm -rf '{}' \;
	@rm -rf config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool autom4te.cache build
	@-find . ! -name configure.ac -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
#
#  Do these checks ONLY if we're re-building the "configure"
#  scripts, and ONLY the "configure" scripts.  If we leave
#  these rules enabled by default, then they're run too often.
#
ifeq "$(MAKECMDGOALS)" "reconfig"

CONFIGURE_AC_FILES := $(shell find . -name configure.ac -print)
CONFIGURE_FILES	   := $(patsubst %.ac,%,$(CONFIGURE_AC_FILES))

#
#  The GNU tools make autoconf=="missing autoconf", which then returns
#  0, even when autoconf doesn't exist.  This check is to ensure that
#  we run AUTOCONF only when it exists.
#
AUTOCONF_EXISTS := $(shell autoconf --version 2>/dev/null)

ifeq "$(AUTOCONF_EXISTS)" ""
$(error You need to install autoconf to re-build the "configure" scripts)
endif

# Configure files depend on "in" files, and on the top-level macro files
# If there are headers, run auto-header, too.
src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
	@echo AUTOCONF $(dir $@)
	cd $(dir $@) && $(AUTOCONF) -I $(top_builddir) -I $(top_builddir)/m4 -I $(top_builddir)/$(dir $@)m4
	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		echo AUTOHEADER $@ \
		cd $(dir $@) && $(AUTOHEADER); \
	 fi

# "%configure" doesn't match "configure"
configure: configure.ac $(wildcard ac*.m4) $(wildcard m4/*.m4)
	@echo AUTOCONF $@
	@$(AUTOCONF)

src/include/autoconf.h.in: configure.ac
	@echo AUTOHEADER $@
	@$(AUTOHEADER)

reconfig: $(CONFIGURE_FILES) src/include/autoconf.h.in

config.status: configure
	./config.status --recheck

# target is "configure"
endif

#  If we've already run configure, then add rules which cause the
#  module-specific "all.mk" files to depend on the mk.in files, and on
#  the configure script.
#
ifneq "$(wildcard config.log)" ""
CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')

src/%all.mk: src/%all.mk.in src/%configure
	@echo CONFIGURE $(dir $@)
	@rm -f ./config.cache $(dir $<)/config.cache
	@cd $(dir $<) && ./configure $(CONFIGURE_ARGS)
endif

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

.PHONY: TAGS
TAGS:
	etags `find src -type f -name '*.[ch]' -print` > $@

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@$(MAKE) -C raddb/certs

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | bzip2 > $@

%.sig: %
	gpg --default-key packages@freeradius.org -b $<

# high-level targets
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'`  != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#	Docker-related targets
#
.PHONY: docker
docker:
	docker build scripts/docker/ubuntu16 --build-arg=release=release_`echo $(RADIUSD_VERSION_STRING) | tr .- __` -t freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)
	docker build scripts/docker/alpine --build-arg=release=release_`echo $(RADIUSD_VERSION_STRING) | tr .- __` -t freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)-alpine

.PHONY: docker-push
docker-push: docker
	docker push freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)
	docker push freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)-alpine

.PHONY: docker-tag-latest
docker-tag-latest: docker
	docker tag freeradius/freeradius-server:$(RADIUSD_VERSION_STRING) freeradius/freeradius-server:latest

.PHONY: docker-push-latest
docker-push-latest: docker-push docker-tag-latest
	docker push freeradius/freeradius-server:latest

.PHONY: docker-publish
docker-publish: docker-push-latest

#
#	Build a debian package
#
.PHONY: deb
deb:
	fakeroot dpkg-buildpackage -b -uc

# Developer checks
.PHONY: warnings
warnings:
	@(make clean all 2>&1) | egrep -v '^/|deprecated|^In file included|: In function|   from |^HEADER|^CC|^LN' > warnings.txt
	@wc -l warnings.txt

#
#  Ensure we're using tabs in the configuration files,
#  and remove trailing whitespace in source files.
#
.PHONY: whitespace
whitespace:
	@for x in $$(git ls-files raddb/ src/); do unexpand $$x > $$x.bak; cp $$x.bak $$x; rm -f $$x.bak;done
	@perl -p -i -e 'trim' $$(git ls-files src/)

=== src/tests/Makefile ===
# -*- makefile -*-
##
## Makefile -- Build and run tests for the server.
##
##	http://www.freeradius.org/
##	$Id: 42715939913ca615116b5b2d1e0dc17c288cb557 $
##
#
include ../../Make.inc

BUILD_PATH := $(top_builddir)/build
TEST_PATH := $(top_builddir)/src/tests
BIN_PATH := $(BUILD_PATH)/bin/local
LIB_PATH := $(BUILD_PATH)/lib/.libs/
DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):$(LIB_PATH)

export DYLD_LIBRARY_PATH

RADDB_PATH := $(top_builddir)/raddb

TESTS	= mschapv1 digest-01/digest* \
	test.example.com

PORT	 = 12340
#PORT	 = 1812
ACCTPORT = $(shell expr $(PORT) + 1)

#	example.com stripped.example.com

EAPOL_TEST = $(shell which eapol_test)

EAP_TLS_TESTS = eap-ttls-pap.conf eap-ttls-mschapv2.conf peap-mschapv2.conf

SECRET	= testing123

.PHONY: all eap dictionary clean

#
#	Build the directory for testing the server
#
all: parse tests

clean:
	@rm -f test.conf dictionary *.ok *.log

dictionary:
	@echo "# test dictionary not install.  Delete at any time." > dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary >> dictionary
	@echo '$$INCLUDE ' $(top_builddir)/src/tests/dictionary.test >> dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary.dhcp >> dictionary
	@echo '$$INCLUDE ' $(top_builddir)/share/dictionary.vqp >> dictionary

test.conf: dictionary
	@echo "# test configuration file.  Do not install.  Delete at any time." > test.conf
	@echo "libdir =" $(LIB_PATH) >> test.conf
	@echo "testdir =" $(TEST_PATH) >> test.conf
	@echo 'logdir = $${testdir}' >> test.conf
	@echo 'maindir = ${top_builddir}/raddb/' >> test.conf
	@echo 'radacctdir = $${testdir}' >> test.conf
	@echo 'pidfile = $${testdir}/radiusd.pid' >> test.conf
	@echo 'panic_action = "gdb -batch -x ${testdir}/panic.gdb %e %p > ${testdir}/gdb.log 2>&1; cat ${testdir}/gdb.log"' >> test.conf
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo >> $@
	@echo 'modconfdir = $${maindir}mods-config' >> $@
	@echo 'certdir = $${maindir}/certs' >> $@
	@echo 'cadir   = $${maindir}/certs' >> $@
	@echo '$$INCLUDE $${testdir}/config/' >> test.conf
	@echo '$$INCLUDE $${maindir}/radiusd.conf' >> test.conf

radiusd.pid: test.conf
	@rm -f $(TEST_PATH)/gdb.log $(TEST_PATH)/radius.log
	@printf "Starting server... "
	@if ! $(BIN_PATH)/radiusd -Pxxxxml $(TEST_PATH)/radius.log -d ${top_builddir}/src/tests -n test -i 127.0.0.1 -p $(PORT) -D $(TEST_PATH); then\
		echo "failed"; \
		echo "Last log entries were:"; \
		tail -n 20 "$(TEST_PATH)/radius.log"; \
	fi
	@echo "ok"

# We can't make this depend on radiusd.pid, because then make will create
# radiusd.pid when we make radiusd.kill, which we don't want.
.PHONY: radiusd.kill
radiusd.kill:
	@if [ -f radiusd.pid ]; then \
	    ret=0; \
	    if ! ps `cat $(TEST_PATH)/radiusd.pid` >/dev/null 2>&1; then \
		rm -f radiusd.pid; \
		echo "FreeRADIUS terminated during test"; \
		echo "GDB output was:"; \
		cat "$(TEST_PATH)/gdb.log"; \
		echo "Last log entries were:"; \
		tail -n 20 $(TEST_PATH)/radius.log; \
		ret=1; \
	    fi; \
		if ! kill -TERM `cat $(TEST_PATH)/radiusd.pid` >/dev/null 2>&1; then \
		    ret=1; \
		fi; \
		exit $$ret; \
	fi
	@rm -f radiusd.pid

#
#  Run eapol_test if it exists.  Otherwise do nothing
#
ifneq "$(EAPOL_TEST)" ""
%.ok: %.conf
	@echo EAPOL_TEST $(patsubst %.conf,%,$<)
	@$(EAPOL_TEST) -c $< -p $(PORT) -s $(SECRET) > $(patsubst %.conf,%.log,$<) 2>&1
	@touch $@

tests.eap: $(patsubst %.conf,%.ok, $(EAP_TLS_TESTS))

endif

# kill the server (if it's running)
# start the server
# run the tests (ignoring any failures)
# kill the server
# remove the changes to raddb/
tests: test.conf | radiusd.kill radiusd.pid
	@chmod a+x runtests.sh
	@BIN_PATH="$(BIN_PATH)" PORT="$(PORT)" ./runtests.sh $(TESTS)
ifneq "$(EAPOL_TEST)" ""
	@$(MAKE) tests.eap
endif
	@$(MAKE) radiusd.kill

=== debian/changelog ===
freeradius (3.0.17+dfsg-1ubuntu2) disco; urgency=medium

  * No-change rebuild against mysql 5.7, reverting the deferred mysql-8.0
    transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Feb 2019 10:46:18 -0800

freeradius (3.0.17+dfsg-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Feb 2019 13:11:32 +0000

freeradius (3.0.17+dfsg-1) unstable; urgency=medium

  * stop using pristine-tar
  * New upstream version 3.0.17+dfsg

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 07 Jan 2019 09:38:17 +0100

freeradius (3.0.16+dfsg-5) unstable; urgency=medium

  * Revert "Strip rpath from a few modules." (Closes: #911180)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 14 Dec 2018 09:33:40 +0100

freeradius (3.0.16+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload with permission.
  * Split out python2 freeradius module into a standalone package.
    (Closes: #900064)
  * Strip rpath from a few modules.
  * Drop upstart system jobs.
  * Update git vcs URLs to salsa.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Sep 2018 15:18:31 +0100

freeradius (3.0.16+dfsg-3ubuntu4) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:59:21 +0000

freeradius (3.0.16+dfsg-3ubuntu3) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 08:46:34 +0000

freeradius (3.0.16+dfsg-3ubuntu2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:08:16 -0600

freeradius (3.0.16+dfsg-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 May 2018 07:00:18 +0200

freeradius (3.0.16+dfsg-3) unstable; urgency=medium

  * Change default /etc/freeradius permission from 2751 to 2750 (Closes: #890933)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Mar 2018 07:52:46 +0100

freeradius (3.0.16+dfsg-2) unstable; urgency=medium

  * Remove sites-enabled/* from freeradius-config (Closes: #889593)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Feb 2018 16:25:54 +0100

=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 10.6),
 quilt,
 dpkg-dev (>= 1.13.19),
 autotools-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libcap-dev,
 libgdbm-dev,
 libiodbc2-dev,
 libjson-c-dev,
 libkrb5-dev | heimdal-dev,
 libldap2-dev,
 libpam0g-dev,
 libpcap-dev,
 libperl-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 libpq-dev,
 libreadline-dev,
 libsasl2-dev,
 libsqlite3-dev,
 libssl-dev,
 libtalloc-dev,
 libwbclient-dev,
 libyubikey-dev,
 libykclient-dev,
 libmemcached-dev,
 libhiredis-dev,
 python-dev,
 samba-dev | samba4-dev,
 libpcre3-dev,
 snmp,
 dh-autoreconf,
 freetds-dev
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
 Stephen Gran <sgran@debian.org>,
 Mark Hymers <mhy@debian.org>,
 Sam Hartman <hartmans@debian.org>,
 Michael Stapelberg <stapelberg@debian.org>
Standards-Version: 4.0.0
Homepage: http://www.freeradius.org/
Vcs-Git: https://salsa.debian.org/freeradius-team/freeradius.git
Vcs-Browser: https://salsa.debian.org/freeradius-team/freeradius

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp, freeradius-python2
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
  - Powerful policy configuration language.
  - Proxying and replicating requests by any criteria.
  - Support for many EAP types; TLS, PEAP, TTLS, etc.
  - Many vendor-specific attributes.
  - Regexp matching in string attributes.
 and lots more.

Package: freeradius-common
Depends: adduser, ${misc:Depends}
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Replaces: freeradius (<< 3)
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-config
Architecture: any
Depends: freeradius-common (>= 3), ${misc:Depends}, openssl, make, ca-certificates, ssl-cert, adduser
Breaks: freeradius-config, freeradius (<< 3.0.11+dfsg-1)
Replaces: freeradius (<< 3.0.11+dfsg-1)
Description: FreeRADIUS default config files
 freeradius-config contains the default configuration for FreeRADIUS.
 .
 You can install a custom package which sets "Provides: freeradius-config" in
 order to use the FreeRADIUS packages without any default configuration getting
 into your way.

Package: freeradius-utils
Architecture: any
Replaces: freeradius (<< 3)
Conflicts: radiusd-livingston, yardradius
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Breaks: libfreeradius-dev (<< 3.0.11+dfsg-1)
Replaces: libfreeradius-dev (<< 3.0.11+dfsg-1)
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, libfreeradius3 (= ${binary:Version}), freeradius-dhcp (= ${binary:Version})
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-dhcp
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: DHCP module for FreeRADIUS server
 The FreeRADIUS server can act as a DHCP server, and this module
 is necessary for that.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-rest
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: REST module for FreeRADIUS server
 The FreeRADIUS server can make calls to remote web APIs, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-redis
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Redis module for FreeRADIUS server
 This module is required to enable the FreeRADIUS server to access
 Redis databases.

Package: freeradius-memcached
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Memcached module for FreeRADIUS server
 The FreeRADIUS server can cache data in memcached and this package
 contains the required module.

Package: freeradius-yubikey
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Yubikey module for FreeRADIUS server
 This package is required to add Yubikey functionality to the
 FreeRADIUS server.

Package: freeradius-python2
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Breaks: freeradius (<< 3.0.16+dfsg-4~)
Replaces: freeradius (<< 3.0.16+dfsg-4~)
Description: Python 2 module for FreeRADIUS server
 This package is required to add Python 2 functionality to the
 FreeRADIUS server.

## freeradius 3.0.19+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,13 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: bab88499db58253d148599ec5e8e872d30ba1cd1 $
-#
+# Version:	$Id: b033aa1a81b263797aea46d8348ca22d981a736c $
+#
+
+#
+#	we didn't called ./configure? just define the version.
+#
+RADIUSD_VERSION_STRING := $(shell cat VERSION)
 
 #
 #  The default rule is "all".
@@ -27,9 +32,11 @@
 #  the debian packages.
 #
 ifneq "$(MAKECMDGOALS)" "deb"
+ifneq "$(MAKECMDGOALS)" "rpm"
 $(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
 
 include Make.inc
+endif
 endif
 
 MFLAGS += --no-print-directory
@@ -44,7 +51,9 @@
 
 # And over-ride all of the other magic.
 ifneq "$(MAKECMDGOALS)" "deb"
+ifneq "$(MAKECMDGOALS)" "rpm"
 include scripts/boiler.mk
+endif
 endif
 
 #
@@ -306,7 +315,7 @@
 #
 .PHONY: docker
 docker:
-	docker build scripts/docker/ubuntu16 --build-arg=release=release_`echo $(RADIUSD_VERSION_STRING) | tr .- __` -t freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)
+	docker build scripts/docker/ubuntu18 --build-arg=release=release_`echo $(RADIUSD_VERSION_STRING) | tr .- __` -t freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)
 	docker build scripts/docker/alpine --build-arg=release=release_`echo $(RADIUSD_VERSION_STRING) | tr .- __` -t freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)-alpine
 
 .PHONY: docker-push
@@ -317,10 +326,12 @@
 .PHONY: docker-tag-latest
 docker-tag-latest: docker
 	docker tag freeradius/freeradius-server:$(RADIUSD_VERSION_STRING) freeradius/freeradius-server:latest
+	docker tag freeradius/freeradius-server:$(RADIUSD_VERSION_STRING)-alpine freeradius/freeradius-server:latest-alpine
 
 .PHONY: docker-push-latest
 docker-push-latest: docker-push docker-tag-latest
 	docker push freeradius/freeradius-server:latest
+	docker push freeradius/freeradius-server:latest-alpine
 
 .PHONY: docker-publish
 docker-publish: docker-push-latest
@@ -330,19 +341,16 @@
 #
 .PHONY: deb
 deb:
+	fakeroot debian/rules debian/control #clean
 	fakeroot dpkg-buildpackage -b -uc
 
-# Developer checks
-.PHONY: warnings
-warnings:
-	@(make clean all 2>&1) | egrep -v '^/|deprecated|^In file included|: In function|   from |^HEADER|^CC|^LN' > warnings.txt
-	@wc -l warnings.txt
-
-#
-#  Ensure we're using tabs in the configuration files,
-#  and remove trailing whitespace in source files.
-#
-.PHONY: whitespace
-whitespace:
-	@for x in $$(git ls-files raddb/ src/); do unexpand $$x > $$x.bak; cp $$x.bak $$x; rm -f $$x.bak;done
-	@perl -p -i -e 'trim' $$(git ls-files src/)
+#
+#	Build a rpm package
+#
+.PHONY: rpm
+rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
+	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
+	@for file in `awk '/^Source...:/ {print $$2}' redhat/freeradius.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
+	@cp $< $@
+
+rpm: rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

=== debian/changelog ===
freeradius (3.0.19+dfsg-3) unstable; urgency=medium

  * Drop collectd integration from freeradius-utils - temporarily?
    collectd is marked for autoremoval at the end of August due to three
    RC bugs that do not show any recent activity (Bug#925849, Bug#926528,
    Bug#932299). Additionally, depending on libcollectdclient pulls in
    (with Recommends on collectd) 200 additional binary packages. See
    Bug#933296.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 21 Aug 2019 17:11:40 +0200

freeradius (3.0.19+dfsg-2) unstable; urgency=medium

  * Import upstream patch to fix atomics FTBFS on armel etc (Closes: #933634)
  * Fix wrong wnpp Bug# in previous changelog
  * Drop patch files already applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Thu, 01 Aug 2019 15:49:11 +0200

freeradius (3.0.19+dfsg-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 3.0.19+dfsg
  * Refresh and remove patches
    Removed:
     - disable-session-cache-CVE-2017-9148.patch
       Fixed Upstream
     - spelling-fixes.diff
       Applied Upstream
     - CVE-2019-11234-1.patch
     - CVE-2019-11234-2.patch
       Fixed Upstream
  * Add Salsa CI pipeline

  [ Bernhard Schmidt ]
  * Adopt package, help welcome. Thanks to Michael Stapelberg for working on
    freeradius so far (Closes: #923034)
  * Drop Josip from Uploaders (Closes: #842469)
  * Drop Stephen Gran from Uploaders (Closes: #838404)
  * Fix sysvinit stop by supplying executable to killproc.
    Thanks to Benjamin Boudoir (Closes: #931920)
  * Move to debian (former collab-maint) namespace on Salsa for easier
    collaborative maintainership, adjust Vcs-* fields
  * Override missing-dep-for-interpreter lintian error on shipped sample
    files in freeradius-config

 -- Bernhard Schmidt <berni@debian.org>  Mon, 29 Jul 2019 22:25:30 +0200

freeradius (3.0.17+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Cherry-Pick upstream commits to fix CVE-2019-11234 / CVE-2019-11235 /
    VU#871675 (Invalid Curve Attack and Reflection Attack on EAP-PWD, leading
    to authentication bypass) (Closes: #926958)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 22 Apr 2019 23:23:36 +0200

=== debian/control ===
--- 
+++ 
@@ -33,17 +33,14 @@
  freetds-dev
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>,
- Stephen Gran <sgran@debian.org>,
- Mark Hymers <mhy@debian.org>,
+Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Uploaders: Mark Hymers <mhy@debian.org>,
  Sam Hartman <hartmans@debian.org>,
- Michael Stapelberg <stapelberg@debian.org>
+ Bernhard Schmidt <berni@debian.org>
 Standards-Version: 4.0.0
 Homepage: http://www.freeradius.org/
-Vcs-Git: https://salsa.debian.org/freeradius-team/freeradius.git
-Vcs-Browser: https://salsa.debian.org/freeradius-team/freeradius
+Vcs-Git: https://salsa.debian.org/debian/freeradius.git
+Vcs-Browser: https://salsa.debian.org/debian/freeradius
 
 Package: freeradius
 Architecture: any

## freeradius 3.0.20%2Bdfsg

=== debian/tests/control ===
Tests: freeradius daemon clients
Depends: freeradius, freeradius-utils, python3, lsb-release
Restrictions: needs-root

Tests: rlm_python3-test
Depends: freeradius, freeradius-python3, freeradius-utils
Restrictions: needs-root

## freeradius 3.0.20+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: b033aa1a81b263797aea46d8348ca22d981a736c $
+# Version:	$Id: 92097f2bf271b2452609212af7e1c2808bb25cf2 $
 #
 
 #
@@ -89,14 +89,13 @@
 
 #  Tests specifically for Travis.  We do a LOT more than just
 #  the above tests
-ifneq "$(findstring travis,${prefix})" ""
 travis-test: raddb/test.conf test
 	@FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -xxxv -n test
 	@rm -f raddb/test.conf
 	@$(MAKE) install
 	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
+	@sh ${HOME}/freeradius/etc/raddb/certs
 	@${sbindir}/radiusd -XC
-endif
 
 #
 # The $(R) is a magic variable not defined anywhere in this source.
@@ -125,9 +124,14 @@
 	@$(INSTALL) -m 644 $< $@
 
 MANFILES := $(wildcard man/man*/*.?)
+MANDIR   := $(wildcard man/man*)
 install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))
 
-$(R)$(mandir)/%: man/%
+$(MANDIR):
+	@echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
+	@$(INSTALL) -d -m 755 $@
+
+$(R)$(mandir)/%: man/% | $(dir $@)
 	@echo INSTALL $(notdir $<)
 	@sed -e "s,/etc/raddb,$(raddbdir),g" \
 		-e "s,/usr/local/share,$(datarootdir),g" \
@@ -350,7 +354,3 @@
 .PHONY: rpm
 rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
 	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
-	@for file in `awk '/^Source...:/ {print $$2}' redhat/freeradius.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
-	@cp $< $@
-
-rpm: rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

=== debian/changelog ===
freeradius (3.0.20+dfsg-3ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: forgery attack via MD5 collision (Blast-RADIUS)
    - debian/patches/CVE-2024-3596-*.patch: backport changes to require
      Message-Authenticator in all Access-* packets.
    - debian/tests/rlm_python3-data/ubuntu_example.py.mods-config: adjust
      offsets to handle Message-Authenticator.
    - CVE-2024-3596

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 09:37:32 -0400

freeradius (3.0.20+dfsg-3ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference in eap-sim module
    - debian/patches/CVE-2022-41860.patch: add sanity checks in
      eapsimlib.c
    - CVE-2022-41860
  * SECURITY UDPATE: DoS using abinary attribute
    - debian/patches/CVE-2022-41861.patch: fix abinary attribute checks
    - CVE-2022-41861

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 04 Jan 2023 08:52:36 +0530

freeradius (3.0.20+dfsg-3ubuntu0.1) focal; urgency=medium

  * Fix loading of rlm_python3 (LP: #1873923):
    - d/p/py3.8-libname-fix.patch: fix the python library name that
      freeradius is looking for when loading the rlm_python3 module
    - d/p/dont_call_undeclared.patch: don't attempt to load the python
      module if "instantiate" and "detach" are not declared
    - Add test for rlm_python3
      + d/t/control: new rlm_python3 test
      + d/t/rlm_python3-test: test the rlm_python3 module
      + d/t/rlm_python3-data/*: test files
  * d/t/test-freeradius.py: test more authentication mechanisms
    (cherry-picked from Ubuntu 22.04)
  * d/t/freeradius: run python tests in verbose mode

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 14 Apr 2022 17:32:00 -0300

freeradius (3.0.20+dfsg-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:11:13 +0000

freeradius (3.0.20+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Bernhard Schmidt <berni@debian.org>  Mon, 09 Dec 2019 23:42:23 +0100

freeradius (3.0.20+dfsg-2) experimental; urgency=medium

  * Drop freeradius-python2, build experimental freeradius-python3
    (Closes: #936558)
  * Switch run-time tests to python3
  * Build with systemd support, use Type=notify in systemd unit
    (Closes: #920345)
  * Bump Standards-Version to 4.4.1, no changes needed

 -- Bernhard Schmidt <berni@debian.org>  Fri, 29 Nov 2019 23:54:37 +0100

freeradius (3.0.20+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.20+dfsg
  * Fix reload action on sysvinit (Closes: #940608)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 29 Nov 2019 18:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,14 @@
  libsasl2-dev,
  libsqlite3-dev,
  libssl-dev,
+ libsystemd-dev,
  libtalloc-dev,
  libwbclient-dev,
  libyubikey-dev,
  libykclient-dev,
  libmemcached-dev,
  libhiredis-dev,
- python-dev,
+ python3-dev,
  samba-dev | samba4-dev,
  libpcre3-dev,
  snmp,
@@ -33,11 +34,12 @@
  freetds-dev
 Section: net
 Priority: optional
-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
  Sam Hartman <hartmans@debian.org>,
  Bernhard Schmidt <berni@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Homepage: http://www.freeradius.org/
 Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 Vcs-Browser: https://salsa.debian.org/debian/freeradius
@@ -47,7 +49,7 @@
 Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
 Provides: radius-server
 Recommends: freeradius-utils
-Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp, freeradius-python2
+Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp, freeradius-python3
 Description: high-performance and highly configurable RADIUS server
  FreeRADIUS is a high-performance RADIUS server with support for:
   - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
@@ -188,11 +190,14 @@
  This package is required to add Yubikey functionality to the
  FreeRADIUS server.
 
-Package: freeradius-python2
+Package: freeradius-python3
 Architecture: any
 Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
 Breaks: freeradius (<< 3.0.16+dfsg-4~)
 Replaces: freeradius (<< 3.0.16+dfsg-4~)
-Description: Python 2 module for FreeRADIUS server
- This package is required to add Python 2 functionality to the
+Description: Python 3 module for FreeRADIUS server
+ This package is required to add Python 3 functionality to the
  FreeRADIUS server.
+ .
+ It was introduced in FreeRADIUS 3.0.20 as EXPERIMENTAL module. Use at
+ your own risk.

## freeradius 3.0.21%2Bdfsg

=== debian/changelog ===
freeradius (3.0.21+dfsg-2) unstable; urgency=medium

  * Cherry-Pick upstream fixes to build with Python3.8 (Closes: #966860)
  * Drop migration code for versions earlier than oldstable (Squeeze)
  * Temporarily collectd integration (again) due to RC bugs
  * Bump to debhelper compat 10

 -- Bernhard Schmidt <berni@debian.org>  Mon, 24 Aug 2020 10:46:49 +0200

freeradius (3.0.21+dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 3.0.21+dfsg
  * Sync freeradius.service with upstream, notable changes
    - run as unprivileged user freerad
    - use RuntimeDirectory (Closes: #954911)
    - set ReadOnlyDirectories to the configuration (Closes: #955206)
    - set some Protect* settings
    - enable reloading the configuration
  * Enable the control-socket site in autopkgtest and attempt a connection
    to validate the fix for #954911
  * Reenable collectd integration, it does not pull in the world anymore
    on sid, thanks to Bernd Zeimetz (Closes: #948996)

  [ Sven Hartge ]
  * d/freeradius.service: Drop manual chown, not necessary

 -- Bernhard Schmidt <berni@debian.org>  Wed, 01 Apr 2020 14:21:17 +0200
